/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/

/* ······························ HOJA DE ESTILO / NAV ······························ */

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/

/* ······························ NAV ······························ */

#navRESP {
    width: 23%;
    height: 60px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 0;
    right: 0;
    margin-bottom: 20px;
    margin-right: 20px;
    border-radius: 5px;
    background: white !important;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    z-index: 999;
}
.navBOX {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px 10px;
}

/* ··············· NAV / BOX ··············· */

/* ····· Brand ····· */
#navBOX_marca {
	display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-left: 10px;
  width: 80%;
  height: 100%;
  order: -1;
}
.marca {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.marca a {
	width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.marca a img {
	width: 80%;
	height: auto;
}
.marca_resp {
  display: none;
}

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/

/* ······························ NAV / Button ······························ */

.nav-but-wrap{ 
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-bottom: 1px;
  transition : all 0.3s ease-out;
  width: 20%;
  height: 10%;
}
.menu-icon {
  width: 30px;
  margin-top: 2px;
  position: relative;
  z-index: 2;
  cursor: pointer;
  display: block;
}
.menu-icon__line {
  height: 2px;
  width: 30px;
  display: block;
  background-color: black;
  margin-bottom: 5px;
  cursor: pointer;
  -webkit-transition: background-color .5s ease, -webkit-transform .2s ease;
  transition: background-color .5s ease, -webkit-transform .2s ease;
  transition: transform .2s ease, background-color .5s ease;
  transition: transform .2s ease, background-color .5s ease, -webkit-transform .2s ease;
}
.menu-icon__line-left {
  width: 30px;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.menu-icon__line-right {
  width: 30px;
  margin-bottom: 1px;
  float: right;
  -webkit-transition: all 200ms linear;
  -moz-transition: all 200ms linear;
  -o-transition: all 200ms linear;
  -ms-transition: all 200ms linear;
  transition: all 200ms linear;
}
.menu-icon:hover .menu-icon__line-left,
.menu-icon:hover .menu-icon__line-right {
  width: 30px;
}

/* ····· Transición ····· */
body.nav-active .menu-icon__line {
  background-color: grey;
  -webkit-transform: translate(0px, 0px) rotate(-45deg);
          transform: translate(0px, 0px) rotate(-45deg);
}
body.nav-active .menu-icon__line-left {
  width: 15px;
  -webkit-transform: translate(2px, 2.5px) rotate(45deg);
          transform: translate(2px, 2.5px) rotate(45deg);
}
body.nav-active .menu-icon__line-right {
  width: 15px;
  float: right;
  -webkit-transform: translate(-2.5px, -1px) rotate(45deg);
          transform: translate(-2.5px, -1px) rotate(45deg);
}
body.nav-active .menu-icon:hover .menu-icon__line-left,
body.nav-active .menu-icon:hover .menu-icon__line-right {
  width: 15px;
}

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/

/* ······························ NAV / Hidden Box ······························ */

.nav {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 100;
}
.nav:after {
  content: "";
  position: fixed;
  width: 100%;
  height: 100vh;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 100;
  -webkit-transition: -webkit-transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
  transition: -webkit-transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
  transition: transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
  transition: transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, -webkit-transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
  -webkit-transform: translateX(0%) translateY(100%);
          transform: translateX(0%) translateY(100%);
}

.nav:after {
  background: rgba(12, 12, 12, 0.95);
  -webkit-transition-delay: 0s;
          transition-delay: 0s;
}
.nav:before {
  -webkit-transition-delay: .2s;
          transition-delay: .2s;
}

/* ··············· NAV / Contenido ··············· */

.nav__content {
  position: fixed;
  visibility: hidden;
  top: 50%;
  margin-top: 20px;
  -webkit-transform: translate(0%, -50%);
          transform: translate(0%, -50%);
  width: 100%;
  text-align: center;
  z-index: 200;
}
.nav__list {
  position: relative;
  padding: 0;
  margin: 0;
  z-index: 200;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.nav__list-item {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  -webkit-transition-delay: 0.8s;
          transition-delay: 0.8s;
  opacity: 0;
  border: solid 1px white;
  border-radius: 8px;
  width: 85%;
  height: 40px;
  text-align: center;
  color: white;
  overflow: hidden; 
  font-size: 1.8vh;
  -webkit-transform: translate(0%, 50%);
          transform: translate(0%, 50%);
  -webkit-transition: opacity .2s ease, -webkit-transform .3s ease;
  transition: opacity .2s ease, -webkit-transform .3s ease;
  transition: opacity .2s ease, transform .3s ease;
  transition: opacity .2s ease, transform .3s ease, -webkit-transform .3s ease;
  margin-top: 10px;
  margin-bottom: 10px;
  z-index: 200;
}


.backTransp {
  border: 0px;
}
.backTransp img {
  width: 100%;
  height: auto;
}
.backwhite {
  background: white;
}
.backwhite img {
  width: 30px;
  height: auto;
  margin-right: 15px;
}

.textBlack {
  color: black !important;
}


.nav__list-item a{
  position: relative;
  text-decoration: none;
  color: white;
  overflow: hidden; 
  cursor: pointer;
  padding-left: 5px;
  padding-right: 5px;
  display: flex;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear; 
  flex-direction: row;
  justify-content: center;
  align-items: center;
  z-index: 200;
}
.nav__list-item a:hover{
  color: grey;
}
.nav__list-item a i{
  color: white;
  font-size: 2.5vh !important;
  margin-right: 15px;
}

.nav__list-item.active-nav a{
  font-weight: 600;
  color: white;
}
body.nav-active .nav__content {
  visibility: visible;
}

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/

/* ······························ NAV / Transiciones ······························ */

body.nav-active .nav {
  visibility: visible;
}
body.nav-active .nav:before, body.nav-active .nav:after {
  -webkit-transform: translateX(0%) translateY(0%);
          transform: translateX(0%) translateY(0%);
  border-radius: 0;
}
body.nav-active .nav:after {
  -webkit-transition-delay: .1s;
          transition-delay: .1s;
}
body.nav-active .nav:before {
  -webkit-transition-delay: 0s;
          transition-delay: 0s;
}
body.nav-active .nav__list-item {
  opacity: 1;
  -webkit-transform: translateX(0%);
          transform: translateX(0%);
  -webkit-transition: opacity .3s ease, color .3s ease, -webkit-transform .3s ease;
  transition: opacity .3s ease, color .3s ease, -webkit-transform .3s ease;
  transition: opacity .3s ease, transform .3s ease, color .3s ease;
  transition: opacity .3s ease, transform .3s ease, color .3s ease, -webkit-transform .3s ease;
}
body.nav-active .nav__list-item:nth-child(0) {
  -webkit-transition-delay: 0.7s;
          transition-delay: 0.7s;
}
body.nav-active .nav__list-item:nth-child(1) {
  -webkit-transition-delay: 0.8s;
          transition-delay: 0.8s;
}
body.nav-active .nav__list-item:nth-child(2) {
  -webkit-transition-delay: 0.9s;
          transition-delay: 0.9s;
}
body.nav-active .nav__list-item:nth-child(3) {
  -webkit-transition-delay: 1s;
          transition-delay: 1s;
}
body.nav-active .nav__list-item:nth-child(4) {
  -webkit-transition-delay: 1.1s;
          transition-delay: 1.1s;
}
body.nav-active .nav__list-item:nth-child(5) {
  -webkit-transition-delay: 1.2s;
          transition-delay: 1.2s;
}
body.nav-active .nav__list-item:nth-child(6) {
  -webkit-transition-delay: 1.3s;
          transition-delay: 1.3s;
}
body.nav-active .nav__list-item:nth-child(7) {
  -webkit-transition-delay: 1.4s;
          transition-delay: 1.4s;
}
body.nav-active .nav__list-item:nth-child(8) {
  -webkit-transition-delay: 1.5s;
          transition-delay: 1.5s;
}
body.nav-active .nav__list-item:nth-child(9) {
  -webkit-transition-delay: 1.6s;
          transition-delay: 1.6s;
}
body.nav-active .nav__list-item:nth-child(10) {
  -webkit-transition-delay: 1.7s;
          transition-delay: 1.7s;
}

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------- */

/* ······························ NAV / RESPONSIVE ······························ */

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/


/* ················· W / 900 ················· */

@media (max-width: 900px) {

  #nav {
    display: none;
  }

  /* ····· Box ····· */
  #navRESP{
    width: 60%;
    height: 60px;
    display: flex;
    flex-direction: row;
    position: fixed;
    top: 0;
    left: 20%;
    margin-top: 20px;
    border-radius: 5px;
    background: white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  }
  .navBOX {
    flex-direction: row;
  }

  /* ····· Contenido ····· */
  #navBOX_marca {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin-left: 10px;
    width: 70%;
    height: 100%;
    order: -1;
  }
  .marca {
    display: none;
  }
  .marca_resp {
    display: block;
    width: 100%;
    height: 100%;
  }
  .marca_resp a {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
  }
  .marca_resp a img {
    width: auto;
    height: 50%;
  }
  
  .nav-but-wrap{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    width: 20%;
    height: 100%;
    margin-right: 15px;
  }

  .nav:after {
    bottom: 0;
    left: 0;
    -webkit-transform: translateX(0%) translateY(100%);
            transform: translateX(0%) translateY(100%);
  }
  .nav__content {
    top: 45%;
  }

}

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/

/* ················· W / 700 ················· */

@media (max-width: 700px) {

  /* ····· Box ····· */
  #navRESP {
    width: 90%;
    left: 5%;
    background: white;
  }

}

/* -----------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------*/
